/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import {
  Address,
  ExecutableScript,
  ExecuteScriptParams,
  ExecuteScriptResult,
  Script,
  SignerProvider,
  HexString,
} from "@alephium/web3";
import { default as OwnerDepositScriptJson } from "../OwnerDeposit.ral.json";
import { default as PlayScriptJson } from "../Play.ral.json";
import { default as WithdrawDevFeesScriptJson } from "../WithdrawDevFees.ral.json";

export const OwnerDeposit = new ExecutableScript<{
  alephlip: HexString;
  amount: bigint;
}>(Script.fromJson(OwnerDepositScriptJson));
export const Play = new ExecutableScript<{
  alephlip: HexString;
  isHeads: boolean;
  amount: bigint;
}>(Script.fromJson(PlayScriptJson));
export const WithdrawDevFees = new ExecutableScript<{ alephlip: HexString }>(
  Script.fromJson(WithdrawDevFeesScriptJson)
);
